Get /api/v202208/dashboard/{dashboardId}/mapsetting

Operation: GetMapDashboardSettingsV202208 Permissions: DashboardAndMapsModule (View)

Summary

Gets the current display settings and filters for a specific map dashboard. Cannot be used to retreive settings for a standard dashboard.

Path and Query Parameters

Parameter Description Type Location
dashboardId The identifier of the dashboard to get the settings ofRequired integer Path

Response Parameters

HTTP 200


Body Parameters

Content Type: application/json

Type Reference: MapDashboardSettingsResponseV202208

Parameter Description Type
title The title of the dashboard. Maximum length of 255 characters. string
description The description of the dashboard. Maximum length of 255 characters. string
showCost Flag to indicate if Cost data is shown on the dashboard. boolean
showUse Flag to indicate if Use data is shown on the dashboard. boolean
showGHG Flag to indicate if Greenhouse Gas data is shown on the dashboard. boolean
mapDashboardFilters Filters applied to the dashboard. FilterResponse [Array]
   availableOperator The list of available operators Required (defined) array
   caption The caption of the filter Required (defined) string
   queryParameterName The Query parameter name Required (defined) string
   fieldId The field identifier Required (defined) integer
   dataFieldId The datafield identifier Required (defined) integer
   dataType DataTypeResponse
      dataTypeId Required (defined) integer
      dataTypeCode Required (defined) string
      dataTypeInfo Required (defined) string
   operator The operator Required (defined) string
   value The value of the filter Required (defined) string
   required Indicates if the filter is required boolean
   recommended Indicates if the filter is recommended Required (defined) boolean
   hidden Indicates if the filter is hidden Required (defined) boolean
globalCommodityDisplay Display order for commodities. Applied individually to Cost, Use, and GHG Emissions.
Highest - Order displayed commodities in order of Highest Cost/Use/GHG Emissions
Lowest - Order displayed commodities in order Lowest Cost/Use/GHG Emissions
Fixed - Display up to 5 fixed commodities for each data type.
string
fixedCommodities List of Commodities to display for Cost, Use, and GHG, if applicable. Empty if GlobalCommodityDisplay is set to “Highest” or “Lowest”. CommodityChild [Array]
   commodityId The commodity identifier Required (defined) integer
   commodityCode The commodity code Required (defined) string
   commodityInfo The commodity info Required (defined) string
   commodityIcon Icon
      code The icon code Must be between 0 and 64 characters Required when Color is set string
      color The icon color Must be between 0 and 32 characters Required when Code is set string

Responses

HTTP 200

Body

Content Type: application/json
{
  "title": "string",
  "description": "string",
  "showCost": false,
  "showUse": false,
  "showGHG": false,
  "mapDashboardFilters": [
    {
      "availableOperator": [
        "string"
      ],
      "caption": "string",
      "queryParameterName": "string",
      "fieldId": 1,
      "dataFieldId": 1,
      "dataType": {
        "dataTypeId": 1,
        "dataTypeCode": "string",
        "dataTypeInfo": "string"
      },
      "operator": "string",
      "value": "string",
      "required": false,
      "recommended": false,
      "hidden": false
    }
  ],
  "globalCommodityDisplay": "string",
  "fixedCommodities": [
    {
      "commodityId": 1,
      "commodityCode": "string",
      "commodityInfo": "string",
      "commodityIcon": {
        "code": "string",
        "color": "string"
      }
    }
  ]
}